bugzilla(1)

NAME
bugzilla - command-line interface to Bugzilla over XML-RPC

SYNOPSIS
bugzilla [options] [command] [command-options]

DESCRIPTION

bugzilla is a command-line utility that allows access to the XML-RPC interface provided by Bugzilla.

command is one of:
* login - log into the given bugzilla instance
* new - create a new bug
* query - search for bugs matching given criteria
* modify - modify existing bugs
* attach - attach files to existing bugs, or get attachments
* info - get info about the given bugzilla instance

GLOBAL OPTIONS

--version
    show program's version number and exit

--help, -h
    show this help message and exit

--bugzilla=BUGZILLA
    bugzilla XMLRPC URI. default: https://bugzilla.redhat.com/xmlrpc.cgi

--nosslverify
    Don't error on invalid bugzilla SSL certificate

--login
    Run interactive "login" before performing the specified command.

--username=USERNAME
    Log in with this username

--password=PASSWORD
    Log in with this password

--ensure-logged-in
    Raise an error if we aren't logged in to bugzilla. Consider using this if you are depending on cached credentials, to ensure that when they expire the tool errors, rather than subtly change output.

--no-cache-credentials
    Don't save any bugzilla cookies or tokens to disk, and don't use any pre-existing credentials.

--cookiefile=COOKIEFILE
    cookie file to use for bugzilla authentication

--tokenfile=TOKENFILE
    token file to use for bugzilla authentication

--verbose
    give more info about what's going on

--debug
    output bunches of debugging info

--version
    show program's version number and exit

Standard bugzilla options

These options are shared by some combination of the 'new', 'query', and 'modify' sub commands. Not every option works for each command though.

--product=PRODUCT, -p PRODUCT
    Product name

--version=VERSION, -v VERSION
    Product version

--component=COMPONENT, -c COMPONENT
    Component name

--summary=SUMMARY, -s SUMMARY, --short_desc=SUMMARY
    Bug summary

--comment=DESCRIPTION, -l DESCRIPTION
    Set initial bug comment/description

--sub-component=SUB_COMPONENT
    RHBZ sub component name

--os=OS, -o OS
    Operating system

--arch=ARCH
    Arch this bug occurs on

--severity=SEVERITY, -x SEVERITY
    Bug severity

--priority=PRIORITY, -z PRIORITY
    Bug priority

--alias=ALIAS
    Bug alias (name)

--status=STATUS, -s STATUS, --bug_status=STATUS
    Bug status (NEW, ASSIGNED, etc.)

--url=URL, -u URL
    URL for further bug info

--target_milestone=TARGET_MILESTONE, -m TARGET_MILESTONE
    Target milestone

--target_release=TARGET_RELEASE
    RHBZ Target release

--blocked=BUGID[, BUGID, ...]
    Bug IDs that this bug blocks

--dependson=BUGID[, BUGID, ...]
    Bug IDs that this bug depends on

--keywords=KEYWORD[, KEYWORD, ...]
    Bug keywords

--groups=GROUP[, GROUP, ...]
    Which user groups can view this bug

--cc=CC[, CC, ...]
    CC list

--assigned_to=ASSIGNED_TO, -a ASSIGNED_TO, --assignee ASSIGNED_TO
    Bug assignee

--qa_contact=QA_CONTACT, -q QA_CONTACT
    QA contact

--whiteboard WHITEBOARD, -w WHITEBOARD, --status_whiteboard WHITEBOARD
    Whiteboard field

--devel_whiteboard DEVEL_WHITEBOARD
    RHBZ devel whiteboard field

--internal_whiteboard INTERNAL_WHITEBOARD
    RHBZ internal whiteboard field

--qa_whiteboard QA_WHITEBOARD
    RHBZ QA whiteboard field

--fixed_in FIXED_IN, -F FIXED_IN
    RHBZ 'Fixed in version' field

--field=FIELD=VALUE
    Manually specify a bugzilla XMLRPC field. FIELD is the raw name used by the bugzilla instance. For example if your bugzilla instance has a custom field cf_my_field, do: --field cf_my_field=VALUE

Output options

These options are shared by several commands, for tweaking the text output of the command results.

--full, -f
    output detailed bug info

--ids, -i
    output only bug IDs

--extra, -e
    output additional bug information (keywords, Whiteboards, etc.)

--oneline
    one line summary of the bug (useful for scripts)

--raw
    raw output of the bugzilla contents

--outputformat=OUTPUTFORMAT
    Print output in the form given. You can use RPM-style tags that match bug fields, e.g.: '%{id}: %{summary}'.

    The output of the bugzilla tool should NEVER BE PARSED unless you are using a custom --outputformat. For everything else, just don't parse it, the formats are not stable and are subject to change.

    --outputformat allows printing arbitrary bug data in a user preferred format. For example, to print a returned bug ID, component, and product, separated with ::, do:

    --outputformat "%{id}::%{component}::%{product}"

    The fields (like 'id', 'component', etc.) are the names of the values returned by bugzilla's XMLRPC interface. To see a list of all fields, check the API documentation in the 'SEE ALSO' section. Alternatively, run a 'bugzilla --debug query ...' and look at the key names returned in the query results. Also, in most cases, using the name of the associated command line switch should work, like --bug_status becomes %{bug_status}, etc.

‘query’ specific options
Certain options can accept a comma separated list to query multiple values, including --status, --component, --product, --version, --id.

Note: querying via explicit command line options will only get you so far. See the --from-url option for a way to use powerful Web UI queries from the command line.

--id ID, -b ID, --bug_id ID
    specify individual bugs by IDs, separated with commas

--reporter REPORTER, -r REPORTER
    Email: search reporter email for given address

--quicksearch QUICKSEARCH
    Search using bugzilla's quicksearch functionality.

--savedsearch SAVEDSEARCH
    Name of a bugzilla saved search. If you don't own this saved search, you must passed --savedsearch_sharer_id.

--savedsearch-sharer-id SAVEDSEARCH_SHARER_ID
    Owner ID of the --savedsearch. You can get this ID from the URL bugzilla generates when running the saved search from the web UI.

--from-url WEB_QUERY_URL
    Make a working query via bugzilla's 'Advanced search' web UI, grab the url from your browser (the string with query.cgi or buglist.cgi in it), and --from-url will run it via the bugzilla API. Don't forget to quote the string! This only works for Bugzilla 5 and Red Hat bugzilla

‘modify’ specific options
Fields that take multiple values have a special input format.

 Append: --cc=foo@example.com
 Overwrite: --cc==foo@example.com
 Remove: --cc=-foo@example.com

Options that accept this format: --cc, --blocked, --dependson, --groups, --tags, whiteboard fields.

--close RESOLUTION, -k RESOLUTION
    Close with the given resolution (WONTFIX, NOTABUG, etc.)

--dupeid ORIGINAL, -d ORIGINAL
    ID of original bug. Implies --close DUPLICATE

--private
    Mark new comment as private

--reset-assignee
    Reset assignee to component default

--reset-qa-contact
    Reset QA contact to component default

‘attach’ options

--file=FILENAME, -f FILENAME
    File to attach, or filename for data provided on stdin

--description=DESCRIPTION, -d DESCRIPTION
    A short description of the file being attached

--type=MIMETYPE, -t MIMETYPE
    Mime-type for the file being attached

--get=ATTACHID, -g ATTACHID
    Download the attachment with the given ID

--getall=BUGID, --get-all=BUGID
    Download all attachments on the given bug

‘info’ options

--products, -p
    Get a list of products

--components=PRODUCT, -c PRODUCT
    List the components in the given product

--component_owners=PRODUCT, -o PRODUCT
    List components (and their owners)

--versions=VERSION, -v VERSION
    List the versions for the given product

AUTHENTICATION COOKIES AND TOKENS

Older bugzilla instances use cookie-based authentication, and newer bugzilla instances (around 5.0) use a non-cookie token system.

When you log into bugzilla with the "login" subcommand or the "--login" argument, we cache the login credentials in ~/.cache/python-bugzilla/ Previously we cached credentials in ~/.<filename>. If you want to see which file the tool is using, check --debug output.

To perform an authenticated bugzilla command on a new machine, run a one time "bugzilla login" to cache credentials before running the desired command. You can also run "bugzilla --login" and the login process will be initiated before invoking the command.

Additionally, the --no-cache-credentials option will tell the bugzilla tool to _not_ save any credentials in $HOME, or use any previously cached credentials.

EXAMPLES

    bugzilla query --bug_id 62037

    bugzilla query --version 15 --component python-bugzilla

    # All boolean options can be formatted like this
    bugzilla query --blocked "123456 | 224466"

    bugzilla login

    bugzilla new -p Fedora -v rawhide -c python-bugzilla \
             --summary "python-bugzilla causes headaches" \
             --comment "python-bugzilla made my brain hurt when I used it."

    bugzilla attach --file ~/Pictures/cam1.jpg --desc "me, in pain" $BUGID

    bugzilla attach --getall $BUGID

    bugzilla modify --close NOTABUG --comment "Actually, you're hungover." $BUGID

EXIT STATUS
bugzilla normally returns 0 if the requested command was successful. Otherwise, exit status is 1 if bugzilla is interrupted by the user (or a login attempt fails), 2 if a socket error occurs (e.g. TCP connection timeout), and 3 if the server returns an XML-RPC fault.

BUGS
Please report any bugs as github issues at
https://github.com/python-bugzilla/python-bugzilla
to the mailing list at
https://fedorahosted.org/mailman/listinfo/python-bugzilla

SEE ALSO
https://bugzilla.readthedocs.io/en/latest/api/index.html
https://bugzilla.redhat.com/docs/en/html/api/Bugzilla/WebService/Bug.html